Bug 1653324 - [Import vm apb] APB can have 1.3 version
Summary: [Import vm apb] APB can have 1.3 version
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Container Native Virtualization (CNV)
Classification: Red Hat
Component: Installation
Version: 1.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 1.3
Assignee: Adam Litke
QA Contact: Irina Gulina
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-26 14:41 UTC by Nelly Credi
Modified: 2019-01-08 14:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-08 14:27:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
import-vm-apb (8.24 KB, text/plain)
2018-12-04 08:48 UTC, Irina Gulina
no flags Details

Description Nelly Credi 2018-11-26 14:41:55 UTC
Description of problem:
APB currently has 1.3 version, which means we wont be able to see it in the catalog

Version-Release number of selected component (if applicable):
import-vm-apb-v1.3.0-1

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:
import-vm-apb-v1.3.0-1

Expected results:
import-vm-apb-v3.11-x

Additional info:

Comment 1 Federico Simoncelli 2018-11-26 15:01:17 UTC
If the APB are showing up following the documentation (oc import-image) then I don't think we need to update the version.

Comment 2 Nelly Credi 2018-12-03 13:09:02 UTC
@Irina, can you please verify that indeed we can list this apb without the 3.11 version?

Comment 3 Irina Gulina 2018-12-03 17:05:22 UTC
>> skopeo inspect --tls-verify=false docker://brew-pulp-docker01.web.prod.ext.phx2.redhat.com:8888/cnv-tech-preview/import-vm-apb | jq -C .RepoTags | grep -v containers-candidate
[
  "v1.3",
  "v1.3.0-1",
  "v1.3.0",
  "v1.3-1",
  "latest"
]

Comment 4 Nelly Credi 2018-12-04 08:43:33 UTC
moving back to on qe
what we need to verify here is that we can:
$ oc import-image .....
$ apb broker bootstrap
$ apb catalog relist


@Irina, were you able to do that?

Comment 5 Irina Gulina 2018-12-04 08:48:01 UTC
Created attachment 1511229 [details]
import-vm-apb

Comment 6 Irina Gulina 2018-12-04 08:49:55 UTC
Yes, Nelly. And I replied to your question in IRC yesterday with a pastebin link (attached to this BZ now). This BZ and comments after are ambiguous to me. I got it like the tags are wrong.


Note You need to log in before you can comment on or make changes to this bug.